# open\_vault

`open_vault(vault_name:str) -> Vault`

Opens a vault based on the given name.

{% hint style="info" %}
Read more about the Vault on its main documentation page.
{% endhint %}

**Get data from vault**

```python
with open_vault('data') as vault: 
    # Get data from a vault entry
    customers = vault.get('customers')
```

**Modify data in an existing vault**

```python
new_customer = {"name": "David"}

with open_vault('data') as vault: 
    customers = vault.get('customers')
    customers.append(new_customer)
    vault.update('customers', customers)
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://glyue.docs.sandboxbanking.com/reference/special_functions/open_vault.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
